/* 
 * @Program that Creates a New DOM Parse Tree
 * Parsetree.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class Parsetree {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);
        builderFactory.setNamespaceAware(true);
        builderFactory.setIgnoringElementContentWhitespace(true);
        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document6.xml"));
        new Parsetree().buildTree(doc);
    }

    public void buildTree(Document doc) {
        Element Companyname;
        Text text;
        Element root = doc.createElement("Company");
        doc.appendChild(root);
        Companyname = doc.createElement("Level");
        text = doc.createTextNode("SoftwareDevelopment");
        Companyname.appendChild(text);
        root.appendChild(Companyname);
        Companyname = doc.createElement("Location");
        text = doc.createTextNode("Rohini");
        Companyname.appendChild(text);
        root.appendChild(Companyname);
        Element root1=doc.getDocumentElement();
        System.out.print("Name of the root created is:- "+root.getNodeName());
        
    }
}
